# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-CPANfile
Version:	1.1004
Release:	16.%{__distinit}%{__distvers}
Summary:	Parse cpanfile
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Module-CPANfile
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-CPANfile-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(CPAN::Meta) >= 2.120910
BuildRequires:	perl(CPAN::Meta::Feature) >= 2.120910
BuildRequires:	perl(CPAN::Meta::Prereqs) >= 2.120910
BuildRequires:	perl(CPAN::Meta::Requirements)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(version)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::pushd)
BuildRequires:	perl(lib)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Test::More) >= 0.88
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(CPAN::Meta) >= 2.120910
Requires:	perl(CPAN::Meta::Prereqs) >= 2.120910
Requires:	perl(CPAN::Meta::Feature) >= 2.120910
Requires:	perl(Data::Dumper)
Requires:	perl(Pod::Usage)
Requires:	perl(version)

%description
Module::CPANfile is a tool to handle cpanfile format to load application
specific dependencies, not just for CPAN distributions.

%prep
%setup -q -n Module-CPANfile-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%doc %{perl_vendorlib}/cpanfile.pod
%doc %{perl_vendorlib}/cpanfile-faq.pod
%{_bindir}/mymeta-cpanfile
%{_bindir}/cpanfile-dump
%{perl_vendorlib}/Module/
%{_mandir}/man1/mymeta-cpanfile*
%{_mandir}/man1/cpanfile-dump*
%{_mandir}/man3/cpanfile.3*
%{_mandir}/man3/cpanfile-faq.3*
%{_mandir}/man3/Module::CPANfile.3*

%changelog
* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 1.1004-16
- Use SPDX-format license tag

* Mon Sep 13 2021 Paul Howarth <paul@city-fan.org> - 1.1004-12
- Fix dist tags for Alma and Rocky Linux
- Use %%license unconditionally

* Fri May 31 2019 Paul Howarth <paul@city-fan.org> - 1.1004-5
- Perl 5.30 rebuild

* Thu Apr 26 2018 Paul Howarth <paul@city-fan.org> - 1.1004-1
- Update to 1.004
  - Fix a bug in to_strings with empty feature block (GH#50)

* Mon Apr 23 2018 Paul Howarth <paul@city-fan.org> - 1.1003-1
- Update to 1.003
  - Make options written back with save()
  - Documented options_for_module method
  - Internal refactoring
  - Explicitly add . in tests for perl 5.26
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.88

* Tue Sep  6 2016 Paul Howarth <paul@city-fan.org> - 1.1002-2
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Feb 15 2016 Paul Howarth <paul@city-fan.org> - 1.1002-1
- Update to 1.002
  - Make it work under the taint mode (-T) (GH#41)

* Sat Sep  5 2015 Paul Howarth <paul@city-fan.org> - 1.1001-1
- Update to 1.001
  - Fixed tests to avoid using subtests (GH#38)
- Update patch for building with old Test::More versions

* Mon Sep 29 2014 Paul Howarth <paul@city-fan.org> - 1.1000-2
- Import from Fedora

* Fri Sep 19 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.1000-1
- 1.1000 bump

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.0001-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0001-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 30 2013 Marcela Mašláňová <mmaslano@redhat.com> - 1.0001-3
- Fix all problems found in review rhbz#929254

* Tue Aug 27 2013 Marcela Mašláňová <mmaslano@redhat.com> - 1.0001-2
- Fix all problems found in review rhbz#929254

* Tue Aug 27 2013 Marcela Mašláňová <mmaslano@redhat.com> - 1.0001-1
- Specfile autogenerated by cpanspec 1.78
